MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000814VCMISound, music, videospublic2011-09-20 09:022018-01-27 16:13
ReporterZamolxis 
Assigned ToSXX 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.86 
Target VersionFixed in Version0.next 
Summary0000814: Except for resources, all removable map objects are missing the pickup sound
DescriptionWhenever we remove an object from the Adventure Map, the game should play at random one of the 'pickup01.wav' to 'pickup07.wav' sounds, while the object disappears from the map (the sound may start playing while the previous sound specific for the found object is still on).

Right now in VCMI, only when picking up resources, the pickup sound plays as expected as they disappear from the map. For all the others it's missing:
- artifacts
- scrolls
- treasure chests
- Pandora's boxes
- quest/border guards
(and any other removable object I may have missed, including Spell Book and War Machines, which in WoG can be picked up as well)

Note: the sound should be heard when the objects disappear, not when the hero reaches them, so after we close the pop-up window(s) which we may get at pickup.
Additional InformationThe map from 0000815 can be used to test the implementation. It should have all removable objects within one day reach of one or another hero.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000816closedFay All removable map objects should have a fade out effect when picked 
related to 0000817resolvedWarmonger Artifacts and Spell Scrolls should disappear from the Adventure Map after the related message window closes, not before 
related to 0001630resolvedSXX some sound effects are missing 

-  Notes
(0005526)
SXX (administrator)
2015-02-16 11:00

At moment pickup sounds work for everything except border/quests guards.
(0007280)
SXX (administrator)
2017-09-13 07:36

Implemented in PR195:
https://github.com/vcmi/vcmi/pull/195 [^]

- Issue History
Date Modified Username Field Change
2011-09-20 09:02 Zamolxis New Issue
2011-09-20 09:05 Zamolxis Description Updated View Revisions
2011-09-20 09:17 Warmonger Status new => assigned
2011-09-20 09:17 Warmonger Assigned To => Warmonger
2011-09-20 09:28 Zamolxis Description Updated View Revisions
2011-09-20 09:36 Zamolxis Issue cloned: 0000816
2011-09-20 09:36 Zamolxis Relationship added related to 0000816
2011-09-20 09:38 Zamolxis Description Updated View Revisions
2011-09-20 09:44 Zamolxis Relationship added related to 0000817
2011-09-20 09:44 Zamolxis Description Updated View Revisions
2011-09-20 10:00 Zamolxis Additional Information Updated View Revisions
2013-12-24 09:51 Warmonger Relationship added related to 0001630
2015-02-16 11:00 SXX Note Added: 0005526
2016-09-25 18:23 SXX Assigned To Warmonger => SXX
2017-09-13 07:36 SXX Note Added: 0007280
2018-01-27 16:13 SXX Status assigned => resolved
2018-01-27 16:13 SXX Fixed in Version => 0.next
2018-01-27 16:13 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean